ormolu-0.1.2.0: A formatter for Haskell source code

Safe Haskell | None
Language | Haskell2010

Ormolu.Parser.Anns

Description

Ormolu-specific representation of GHC annotations.

Synopsis

- newtype Anns = Anns (Map RealSrcSpan [AnnKeywordId])
- emptyAnns :: Anns
- mkAnns :: PState -> Anns
- lookupAnns :: SrcSpan -> Anns -> [AnnKeywordId]

# Documentation

newtype Anns Source #

Ormolu-specific representation of GHC annotations.

Constructors

Anns (Map RealSrcSpan [AnnKeywordId]) |

#### Instances

Instances details

Eq Anns Source # |
Instance details Defined in Ormolu.Parser.Anns Methods (==) :: Anns -> Anns -> Bool Source # (/=) :: Anns -> Anns -> Bool Source #

emptyAnns :: Anns Source #

Empty `Anns`.

mkAnns :: PState -> Anns Source #

Create `Anns` from `PState`.

lookupAnns Source #

Arguments

:: SrcSpan | Span to lookup with
-> Anns | Collection of annotations
-> [AnnKeywordId] |

Lookup `AnnKeywordId`s corresponding to a given `SrcSpan`.